#
# spec file for package urlwatch
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           urlwatch
Version:        2.9
Release:        lp150.1.1
Summary:        A tool for monitoring webpages for updates
License:        BSD-3-Clause
Group:          Productivity/Networking/Web/Utilities
Url:            https://thp.io/2008/urlwatch/
Source0:        https://github.com/thp/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  python-futures
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python-keyring
Requires:       python3-PyYAML
Requires:       python3-appdirs
Requires:       python3-minidb
Requires:       python3-requests
BuildArch:      noarch
Requires:       python-futures

%description
urlwatch is intended to help you watch changes in webpages and get
notified (via email, in your terminal or with a custom-written
reporter class) of any changes. The change notification will include
the URL that has changed and a unified diff of what has changed.


A default config is ~/.urlwatch/urlwatch.yaml.
use "urlwatch --edit-config" to customize it.

You need to create ~/.urlwatch/urls.yaml in order to use urlwatch.
Use "urlwatch --edit" to open the file with your editor.

Please look in

 /usr/share/doc/packages/urlwatch/README.md

 TIPS AND TRICKS what to use in urls.yaml.

%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py%{py3_ver}.egg-info
%{_datadir}/%{name}

%changelog
* Mon Mar 26 2018 kbabioch@suse.com
- Update to 2.9:
  * Pushover: Device and sound attribute
  * XDG: Move cache file to XDG_CACHE_DIR
  * E-Mail: Add support for --smtp-login and document GMail SMTP usage
  * Unconditionally migrate urlwatch 1.x cache dirs
* Wed Jan 31 2018 kbabioch@suse.com
- Update to 2.8, please see
  /usr/share/doc/packages/urlwatch/ChangeLog
- Added python3-appdirs as dependency
* Thu Jan 12 2017 mardnh@gmx.de
- Update to 2.6
  * New filters: sha1sum, hexdump, element-by-class
  * New reporters: pushbullet; mailgun
  * Improved filters: BeautifulSoup support for html2txt
  * Improved handlers: HTTP Proxy; support for file:// URIs
  * CI Integration: Build configuration for Travis CI
  * Consistency: Feature list is now sorted by name
  * Issue #108: Fix creation of example files on first startup
  * Issue #118: Fix match filters for missing keys
  * Small fixes
* Tue Jul 12 2016 nemysis@openSUSE.org
- Update to 2.5, please see
  /usr/share/doc/packages/urlwatch/ChangeLog
* Fri Feb 26 2016 nemysis@openSUSE.org
- Change Requires use python3-minidb instead of minidb
* Wed Feb 24 2016 nemysis@openSUSE.org
- Update to 2.1, please see
  /usr/share/doc/packages/urlwatch/ChangeLog
- Change BuildRequires, changed by Upstream for python3-devel
- Remove BuildRequires for fdupes, not need for it
- Add BuildRequires for python3-setuptools
- Add Requires for minidb, python-keyring, python3-PyYAML and
  python3-requests
- Change Description
- Add README.md to Documentation
* Tue Dec  1 2015 p.drouand@gmail.com
- Update to version 1.18
  * Fallback to using pwd if os.getlogin() fails (fixes #2)
  * Handle HTTP compression (Content-encoding: gzip/deflate)
  * Add option to suppress output on stdout (-q/--quiet)
  * Allow customizing subject when sending e-mail (-S/--subject)
  * Added support for TLS and SMTP auth (-p/--pass, -T/--tls, -A/--auth)
  * Added support for specifying cache directory (-c/--cache)
  * Add support for HTTP Auth to urlwatch.handler (fixes #10)
* Sat Aug  2 2014 dmitry_r@opensuse.org
- Initial package, version 1.17
